Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.conversion.Word2PDFSettingData Class Reference

## Public Member Functions
| Word2PDFSettingData ()
| Constructor.
| Word2PDFSettingData (boolean include_doc_props, int optimize_option, int content_option, int bookmark_option, boolean convert_to_pdfa, boolean disable_vba_code)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getBookmark_option ()
| Get bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. More...
int | getContent_option ()
| Get content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. More...
boolean | getConvert_to_pdfa ()
| Get (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. More...
boolean | getDisable_vba_code ()
| Get a boolean value decide whether to disable the execution of vba code in the Word document. More...
boolean | getInclude_doc_props ()
| Get a boolean value which indicates whether to include Word document properties in the converted PDF document. More...
int | getOptimize_option ()
| Get optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. More...
void | set (boolean include_doc_props, int optimize_option, int content_option, int bookmark_option, boolean convert_to_pdfa, boolean disable_vba_code)
| Set value. More...
void | setBookmark_option (int value)
| Set bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. More...
void | setContent_option (int value)
| Set content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. More...
void | setConvert_to_pdfa (boolean value)
| Set (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. More...
void | setDisable_vba_code (boolean value)
| Set a boolean value decide whether to disable the execution of vba code in the Word document. More...
void | setInclude_doc_props (boolean value)
| Set a boolean value which indicates whether to include Word document properties in the converted PDF document. More...
void | setOptimize_option (int value)
| Set optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. More...

## Static Public Attributes
static final int | e_ConvertBookmarkOptionNone = 0
| Do not create bookmark in converted PDF file.
static final int | e_ConvertBookmarkOptionUseHeadings = 1
| Create bookmarks in converted PDF file by using each heading of Word document. More...
static final int | e_ConvertBookmarkOptionUseWordBookmark = 2
| Create bookmarks in converted PDF file by using each bookmarks of Word document. More...
static final int | e_ConvertContentOptionOnlyContent = 0
| Convert Word document without markup.
static final int | e_ConvertContentOptionWithMarkup = 1
| Convert Word document with markup.
static final int | e_ConvertOptimizeOptionForOnScreen = 1
| Optimize option: convert for screen, which is a lower quality and results in a smaller file size.
static final int | e_ConvertOptimizeOptionForPrint = 0
| Optimize option: convert for print, which is higher quality and results in a larger file size.

## Detailed Description

This class represents setting data used for converting Word to PDF.

## Constructor & Destructor Documentation

## ◆ Word2PDFSettingData()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.Word2PDFSettingData | ( | boolean | include_doc_props,
|  | int | optimize_option,
|  | int | content_option,
|  | int | bookmark_option,
|  | boolean | convert_to_pdfa,
|  | boolean | disable_vba_code
| ) |  |

Constructor, with parameters.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Word document properties in the converted PDF document.
  [in] | optimize_option | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.
  [in] | content_option | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.
  [in] | bookmark_option | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Word document.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.Word2PDFSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getBookmark_option()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.getBookmark_option | ( |  | ) |

Get bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks.

Returns
  Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.

## ◆ getContent_option()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.getContent_option | ( |  | ) |

Get content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file.

Returns
  Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.

## ◆ getConvert_to_pdfa()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.getConvert_to_pdfa | ( |  | ) |

Get (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file.

true means to convert Word document to a PDF/A file.
false means to convert Word document to a common file.

Returns
  (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

## ◆ getDisable_vba_code()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.getDisable_vba_code | ( |  | ) |

Get a boolean value decide whether to disable the execution of vba code in the Word document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

Returns
  A boolean value decide whether to disable the execution of vba code in the Word document.

## ◆ getInclude_doc_props()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.getInclude_doc_props | ( |  | ) |

Get a boolean value which indicates whether to include Word document properties in the converted PDF document.

true means to include Word document properties in the converted PDF document.
false means not to include Word document properties in the converted PDF document.

Returns
  A boolean value which indicates whether to include Word document properties in the converted PDF document.

## ◆ getOptimize_option()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.getOptimize_option | ( |  | ) |

Get optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document.

Returns
  Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.

## ◆ set()

void com.foxit.sdk.addon.conversion.Word2PDFSettingData.set | ( | boolean | include_doc_props,
|  | int | optimize_option,
|  | int | content_option,
|  | int | bookmark_option,
|  | boolean | convert_to_pdfa,
|  | boolean | disable_vba_code
| ) |  |

Set value.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Word document properties in the converted PDF document.
  [in] | optimize_option | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.
  [in] | content_option | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.
  [in] | bookmark_option | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Word document.

Returns
  None.

## ◆ setBookmark_option()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.setBookmark_option | ( | int | value | ) |

Set bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks.

Parameters

  [in] | value | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.

Returns
  None.

## ◆ setContent_option()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.setContent_option | ( | int | value | ) |

Set content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file.

Parameters

  [in] | value | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.

Returns
  None.

## ◆ setConvert_to_pdfa()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.setConvert_to_pdfa | ( | boolean | value | ) |

Set (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file.

true means to convert Word document to a PDF/A file.
false means to convert Word document to a common file.

Parameters

  [in] | value | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

Returns
  None.

## ◆ setDisable_vba_code()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.setDisable_vba_code | ( | boolean | value | ) |

Set a boolean value decide whether to disable the execution of vba code in the Word document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

Parameters

  [in] | value | A boolean value decide whether to disable the execution of vba code in the Word document.

Returns
  None.

## ◆ setInclude_doc_props()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.setInclude_doc_props | ( | boolean | value | ) |

Set a boolean value which indicates whether to include Word document properties in the converted PDF document.

true means to include Word document properties in the converted PDF document.
false means not to include Word document properties in the converted PDF document.

Parameters

  [in] | value | A boolean value which indicates whether to include Word document properties in the converted PDF document.

Returns
  None.

## ◆ setOptimize_option()

com.foxit.sdk.addon.conversion.Word2PDFSettingData.setOptimize_option | ( | int | value | ) |

Set optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document.

Parameters

  [in] | value | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.

Returns
  None.

## Member Data Documentation

## ◆ e_ConvertBookmarkOptionUseHeadings

final int com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertBookmarkOptionUseHeadings = 1
| static

Create bookmarks in converted PDF file by using each heading of Word document.

Here, "Word heading" includes only headings within the main document and text boxes not within headers, footers, endnotes, footnotes, or comments.

## ◆ e_ConvertBookmarkOptionUseWordBookmark

final int com.foxit.sdk.addon.conversion.Word2PDFSettingData.e_ConvertBookmarkOptionUseWordBookmark = 2
| static

Create bookmarks in converted PDF file by using each bookmarks of Word document.

Here, "Word bookmark" includes all bookmarks except those contained within headers and footers.